Subject: Re: bug#19356: electric-pair-mode painful quotes in latex-mode

From: [email-masked] (João Távora)
Date: Sun, 14 Dec 2014 11:43:09 +0000

Stefan Monnier <[email-masked]> writes:

>> What kind of surrounding should take place? Should it be
>>   ``wordityped''
>> or should it be
>>   "wordityped"
>> ?
>
> I think either way would be OK.
> I guess ideally
>
>    C-M-SPC "
>
> should do
>
>    ``wordityped''
>
> and
>
>    C-M-SPC " "
>
> should do
>
>    "wordityped"
>
> but it's OK if we don't reach this ideal.

Not sure If I agree that's ideal, but I'll try to implement it for and
use in my tex-mode this week.

> I don't see the need to extend electric-pair's code for this use
> case, indeed, except if it can be done with a well-placed hook.

I don't think it can. Not without heroic sophistication.

> The patch looks OK.  Installing it on emacs-24 sounds good, thank you

Done. Hope I haven't forgotten anything...

> (and no, it won't be cherry picked: it'll be merged instead).

So this very same commit to emacs-24 (and all other commits) will be an
ancestor of master. OK, that works, I suppose. I hear talk (and
misunderstandings) of rebasing in emacs-devel, which is basically
cherry-picking, and that's why I asked. I probably misunderstood (and
sure as hell don't want to fuel that discusssion).

J